attoparsec-0.10.4.0: Fast combinator parsing for bytestrings and text

Portability | unknown
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | Safe-Inferred

Data.Attoparsec.Number

Description

A simple number type, useful for parsing both exact and inexact quantities without losing much precision.

Synopsis

- data Number
  - = I !Integer
  - | D !Double

# Documentation

data Number Source

A numeric type that can represent integers accurately, and floating point numbers to the precision of a `Double`.

Constructors

I !Integer |
D !Double |

Instances

Eq Number |
Fractional Number |
Data Number |
Num Number |
Ord Number |
Real Number |
RealFrac Number |
Show Number |
Typeable Number |
NFData Number |